diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/options-reading.php ./wordpress-3.4/wp-admin/options-reading.php
*** ./wordpress-3.3.2/wp-admin/options-reading.php	2011-11-30 18:52:31.000000000 -0600
--- ./wordpress-3.4/wp-admin/options-reading.php	2012-04-25 19:58:16.000000000 -0500
***************
*** 105,121 ****
  <tr valign="top">
  <th scope="row"><label for="posts_per_page"><?php _e( 'Blog pages show at most' ); ?></label></th>
  <td>
! <input name="posts_per_page" type="text" id="posts_per_page" value="<?php form_option( 'posts_per_page' ); ?>" class="small-text" /> <?php _e( 'posts' ); ?>
  </td>
  </tr>
  <tr valign="top">
  <th scope="row"><label for="posts_per_rss"><?php _e( 'Syndication feeds show the most recent' ); ?></label></th>
! <td><input name="posts_per_rss" type="text" id="posts_per_rss" value="<?php form_option( 'posts_per_rss' ); ?>" class="small-text" /> <?php _e( 'items' ); ?></td>
  </tr>
  <tr valign="top">
  <th scope="row"><?php _e( 'For each article in a feed, show' ); ?> </th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e( 'For each article in a feed, show' ); ?> </span></legend>
! <p><label><input name="rss_use_excerpt"  type="radio" value="0" <?php checked( 0, get_option( 'rss_use_excerpt' ) ); ?>	/> <?php _e( 'Full text' ); ?></label><br />
  <label><input name="rss_use_excerpt" type="radio" value="1" <?php checked( 1, get_option( 'rss_use_excerpt' ) ); ?> /> <?php _e( 'Summary' ); ?></label></p>
  </fieldset></td>
  </tr>
--- 105,121 ----
  <tr valign="top">
  <th scope="row"><label for="posts_per_page"><?php _e( 'Blog pages show at most' ); ?></label></th>
  <td>
! <input name="posts_per_page" type="number" step="1" min="1" id="posts_per_page" value="<?php form_option( 'posts_per_page' ); ?>" class="small-text" /> <?php _e( 'posts' ); ?>
  </td>
  </tr>
  <tr valign="top">
  <th scope="row"><label for="posts_per_rss"><?php _e( 'Syndication feeds show the most recent' ); ?></label></th>
! <td><input name="posts_per_rss" type="number" step="1" min="1" id="posts_per_rss" value="<?php form_option( 'posts_per_rss' ); ?>" class="small-text" /> <?php _e( 'items' ); ?></td>
  </tr>
  <tr valign="top">
  <th scope="row"><?php _e( 'For each article in a feed, show' ); ?> </th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e( 'For each article in a feed, show' ); ?> </span></legend>
! <p><label><input name="rss_use_excerpt" type="radio" value="0" <?php checked( 0, get_option( 'rss_use_excerpt' ) ); ?>	/> <?php _e( 'Full text' ); ?></label><br />
  <label><input name="rss_use_excerpt" type="radio" value="1" <?php checked( 1, get_option( 'rss_use_excerpt' ) ); ?> /> <?php _e( 'Summary' ); ?></label></p>
  </fieldset></td>
  </tr>
***************
*** 123,129 ****
  <tr valign="top">
  <th scope="row"><label for="blog_charset"><?php _e( 'Encoding for pages and feeds' ); ?></label></th>
  <td><input name="blog_charset" type="text" id="blog_charset" value="<?php form_option( 'blog_charset' ); ?>" class="regular-text" />
! <span class="description"><?php _e( 'The <a href="http://codex.wordpress.org/Glossary#Character_set">character encoding</a> of your site (UTF-8 is recommended, if you are adventurous there are some <a href="http://en.wikipedia.org/wiki/Character_set">other encodings</a>)' ); ?></span></td>
  </tr>
  <?php do_settings_fields( 'reading', 'default' ); ?>
  </table>
--- 123,129 ----
  <tr valign="top">
  <th scope="row"><label for="blog_charset"><?php _e( 'Encoding for pages and feeds' ); ?></label></th>
  <td><input name="blog_charset" type="text" id="blog_charset" value="<?php form_option( 'blog_charset' ); ?>" class="regular-text" />
! <p class="description"><?php _e( 'The <a href="http://codex.wordpress.org/Glossary#Character_set">character encoding</a> of your site (UTF-8 is recommended, if you are adventurous there are some <a href="http://en.wikipedia.org/wiki/Character_set">other encodings</a>)' ); ?></p></td>
  </tr>
  <?php do_settings_fields( 'reading', 'default' ); ?>
  </table>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/options-writing.php ./wordpress-3.4/wp-admin/options-writing.php
*** ./wordpress-3.3.2/wp-admin/options-writing.php	2011-11-30 18:52:31.000000000 -0600
--- ./wordpress-3.4/wp-admin/options-writing.php	2012-02-02 18:05:43.000000000 -0600
***************
*** 32,38 ****
  if ( is_multisite() ) {
  	$post_email_help = '<p>' . __('Due to security issues, you cannot use Post By Email on Multisite Installs.') . '</p>';
  } else {
! 	$post_email_help = '<p>' . __('Post via email settings allow you to send your WordPress install an email with the content of your post.  You must set up a secret e-mail account with POP3 access to use this, and any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret.') . '</p>';
  }
  
  get_current_screen()->add_help_tab( array(
--- 31,37 ----
  if ( is_multisite() ) {
  	$post_email_help = '<p>' . __('Due to security issues, you cannot use Post By Email on Multisite Installs.') . '</p>';
  } else {
! 	$post_email_help = '<p>' . __('Post via email settings allow you to send your WordPress install an email with the content of your post. You must set up a secret e-mail account with POP3 access to use this, and any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret.') . '</p>';
  }
  
  get_current_screen()->add_help_tab( array(
***************
*** 145,156 ****
  </tr>
  <tr valign="top">
  <th scope="row"><label for="mailserver_login"><?php _e('Login Name') ?></label></th>
! <td><input name="mailserver_login" type="text" id="mailserver_login" value="<?php form_option('mailserver_login'); ?>" class="regular-text" /></td>
  </tr>
  <tr valign="top">
  <th scope="row"><label for="mailserver_pass"><?php _e('Password') ?></label></th>
  <td>
! <input name="mailserver_pass" type="text" id="mailserver_pass" value="<?php form_option('mailserver_pass'); ?>" class="regular-text" />
  </td>
  </tr>
  <tr valign="top">
--- 143,154 ----
  </tr>
  <tr valign="top">
  <th scope="row"><label for="mailserver_login"><?php _e('Login Name') ?></label></th>
! <td><input name="mailserver_login" type="text" id="mailserver_login" value="<?php form_option('mailserver_login'); ?>" class="regular-text ltr" /></td>
  </tr>
  <tr valign="top">
  <th scope="row"><label for="mailserver_pass"><?php _e('Password') ?></label></th>
  <td>
! <input name="mailserver_pass" type="text" id="mailserver_pass" value="<?php form_option('mailserver_pass'); ?>" class="regular-text ltr" />
  </td>
  </tr>
  <tr valign="top">
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/plugin-editor.php ./wordpress-3.4/wp-admin/plugin-editor.php
*** ./wordpress-3.3.2/wp-admin/plugin-editor.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/plugin-editor.php	2012-04-18 22:41:29.000000000 -0500
***************
*** 65,71 ****
  			if ( is_plugin_active($file) )
  				deactivate_plugins($file, true);
  
! 			update_option('recently_activated', array($file => time()) + (array)get_option('recently_activated'));
  
  			wp_redirect(add_query_arg('_wpnonce', wp_create_nonce('edit-plugin-test_' . $file), "plugin-editor.php?file=$file&liveupdate=1&scrollto=$scrollto&networkwide=" . $network_wide));
  			exit;
--- 65,72 ----
  			if ( is_plugin_active($file) )
  				deactivate_plugins($file, true);
  
! 			if ( ! is_network_admin() )
! 				update_option( 'recently_activated', array( $file => time() ) + (array) get_option( 'recently_activated' ) );
  
  			wp_redirect(add_query_arg('_wpnonce', wp_create_nonce('edit-plugin-test_' . $file), "plugin-editor.php?file=$file&liveupdate=1&scrollto=$scrollto&networkwide=" . $network_wide));
  			exit;
***************
*** 236,242 ****
  		<?php endif; ?>
  <?php if ( is_writeable($real_file) ) : ?>
  	<?php if ( in_array( $file, (array) get_option( 'active_plugins', array() ) ) ) { ?>
! 		<p><?php _e('<strong>Warning:</strong> Making changes to active plugins is not recommended.  If your changes cause a fatal error, the plugin will be automatically deactivated.'); ?></p>
  	<?php } ?>
  	<p class="submit">
  	<?php
--- 237,243 ----
  		<?php endif; ?>
  <?php if ( is_writeable($real_file) ) : ?>
  	<?php if ( in_array( $file, (array) get_option( 'active_plugins', array() ) ) ) { ?>
! 		<p><?php _e('<strong>Warning:</strong> Making changes to active plugins is not recommended. If your changes cause a fatal error, the plugin will be automatically deactivated.'); ?></p>
  	<?php } ?>
  	<p class="submit">
  	<?php
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/plugin-install.php ./wordpress-3.4/wp-admin/plugin-install.php
*** ./wordpress-3.3.2/wp-admin/plugin-install.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/plugin-install.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 46,52 ****
  'title'		=> __('Adding Plugins'),
  'content'	=>
  	'<p>' . __('If you know what you&#8217;re looking for, Search is your best bet. The Search screen has options to search the WordPress.org Plugin Directory for a particular Term, Author, or Tag. You can also search the directory by selecting a popular tags. Tags in larger type mean more plugins have been labeled with that tag.') . '</p>' .
! 	'<p>' . __('If you just want to get an idea of what&#8217;s available, you can browse Featured, Popular, Newest, and Recently Updated plugins by using the links in the upper left of the screen. These sections rotate regularly.') . '</p>' .
  	'<p>' . __('If you want to install a plugin that you&#8217;ve downloaded elsewhere, click the Upload in the upper left. You will be prompted to upload the .zip package, and once uploaded, you can activate the new plugin.') . '</p>'
  ) );
  
--- 46,52 ----
  'title'		=> __('Adding Plugins'),
  'content'	=>
  	'<p>' . __('If you know what you&#8217;re looking for, Search is your best bet. The Search screen has options to search the WordPress.org Plugin Directory for a particular Term, Author, or Tag. You can also search the directory by selecting a popular tags. Tags in larger type mean more plugins have been labeled with that tag.') . '</p>' .
! 	'<p>' . __('If you just want to get an idea of what&#8217;s available, you can browse Featured, Popular, and Newest plugins by using the links in the upper left of the screen. These sections rotate regularly.') . '</p>' .
  	'<p>' . __('If you want to install a plugin that you&#8217;ve downloaded elsewhere, click the Upload in the upper left. You will be prompted to upload the .zip package, and once uploaded, you can activate the new plugin.') . '</p>'
  ) );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/plugins.php ./wordpress-3.4/wp-admin/plugins.php
*** ./wordpress-3.3.2/wp-admin/plugins.php	2012-04-19 01:39:24.000000000 -0500
--- ./wordpress-3.4/wp-admin/plugins.php	2012-05-24 02:05:32.000000000 -0500
***************
*** 12,18 ****
  if ( is_multisite() ) {
  	$menu_perms = get_site_option( 'menu_items', array() );
  
! 	if ( empty( $menu_perms['plugins'] ) && ! is_super_admin() )
  		wp_die( __( 'Cheatin&#8217; uh?' ) );
  }
  
--- 12,18 ----
  if ( is_multisite() ) {
  	$menu_perms = get_site_option( 'menu_items', array() );
  
! 	if ( empty( $menu_perms['plugins'] ) && ! current_user_can( 'manage_network_plugins' ) )
  		wp_die( __( 'Cheatin&#8217; uh?' ) );
  }
  
***************
*** 31,39 ****
  $_SERVER['REQUEST_URI'] = remove_query_arg(array('error', 'deleted', 'activate', 'activate-multi', 'deactivate', 'deactivate-multi', '_error_nonce'), $_SERVER['REQUEST_URI']);
  
  if ( $action ) {
- 	$network_wide = false;
- 	if ( ( isset( $_GET['networkwide'] ) || 'network-activate-selected' == $action ) && is_multisite() && current_user_can( 'manage_network_plugins' ) )
- 		$network_wide = true;
  
  	switch ( $action ) {
  		case 'activate':
--- 31,36 ----
***************
*** 42,48 ****
  
  			check_admin_referer('activate-plugin_' . $plugin);
  
! 			$result = activate_plugin($plugin, self_admin_url('plugins.php?error=true&plugin=' . $plugin), $network_wide);
  			if ( is_wp_error( $result ) ) {
  				if ( 'unexpected_output' == $result->get_error_code() ) {
  					$redirect = self_admin_url('plugins.php?error=true&charsout=' . strlen($result->get_error_data()) . '&plugin=' . $plugin . "&plugin_status=$status&paged=$page&s=$s");
--- 39,45 ----
  
  			check_admin_referer('activate-plugin_' . $plugin);
  
! 			$result = activate_plugin($plugin, self_admin_url('plugins.php?error=true&plugin=' . $plugin), is_network_admin() );
  			if ( is_wp_error( $result ) ) {
  				if ( 'unexpected_output' == $result->get_error_code() ) {
  					$redirect = self_admin_url('plugins.php?error=true&charsout=' . strlen($result->get_error_data()) . '&plugin=' . $plugin . "&plugin_status=$status&paged=$page&s=$s");
***************
*** 53,63 ****
  				}
  			}
  
! 			$recent = (array)get_option('recently_activated');
! 			if ( isset($recent[ $plugin ]) ) {
! 				unset($recent[ $plugin ]);
! 				update_option('recently_activated', $recent);
  			}
  			if ( isset($_GET['from']) && 'import' == $_GET['from'] ) {
  				wp_redirect( self_admin_url("import.php?import=" . str_replace('-importer', '', dirname($plugin))) ); // overrides the ?error=true one above and redirects to the Imports page, stripping the -importer suffix
  			} else {
--- 50,61 ----
  				}
  			}
  
! 			if ( ! is_network_admin() ) {
! 				$recent = (array) get_option( 'recently_activated' );
! 				unset( $recent[ $plugin ] );
! 				update_option( 'recently_activated', $recent );
  			}
+ 
  			if ( isset($_GET['from']) && 'import' == $_GET['from'] ) {
  				wp_redirect( self_admin_url("import.php?import=" . str_replace('-importer', '', dirname($plugin))) ); // overrides the ?error=true one above and redirects to the Imports page, stripping the -importer suffix
  			} else {
***************
*** 66,72 ****
  			exit;
  			break;
  		case 'activate-selected':
- 		case 'network-activate-selected':
  			if ( ! current_user_can('activate_plugins') )
  				wp_die(__('You do not have sufficient permissions to activate plugins for this site.'));
  
--- 64,69 ----
***************
*** 75,81 ****
  			$plugins = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
  
  			// Only activate plugins which are not already active.
! 			$check = $network_wide ? 'is_plugin_active_for_network' : 'is_plugin_active';
  			foreach ( $plugins as $i => $plugin )
  				if ( $check( $plugin ) )
  					unset( $plugins[ $i ] );
--- 72,78 ----
  			$plugins = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
  
  			// Only activate plugins which are not already active.
! 			$check = is_network_admin() ? 'is_plugin_active_for_network' : 'is_plugin_active';
  			foreach ( $plugins as $i => $plugin )
  				if ( $check( $plugin ) )
  					unset( $plugins[ $i ] );
***************
*** 85,98 ****
  				exit;
  			}
  
! 			activate_plugins($plugins, self_admin_url('plugins.php?error=true'), $network_wide);
! 
! 			$recent = (array)get_option('recently_activated');
! 			foreach ( $plugins as $plugin => $time)
! 				if ( isset($recent[ $plugin ]) )
! 					unset($recent[ $plugin ]);
  
! 			update_option('recently_activated', $recent);
  
  			wp_redirect( self_admin_url("plugins.php?activate-multi=true&plugin_status=$status&paged=$page&s=$s") );
  			exit;
--- 82,95 ----
  				exit;
  			}
  
! 			activate_plugins($plugins, self_admin_url('plugins.php?error=true'), is_network_admin() );
  
! 			if ( ! is_network_admin() ) {
! 				$recent = (array) get_option('recently_activated' );
! 				foreach ( $plugins as $plugin )
! 					unset( $recent[ $plugin ] );
! 				update_option( 'recently_activated', $recent );
! 			}
  
  			wp_redirect( self_admin_url("plugins.php?activate-multi=true&plugin_status=$status&paged=$page&s=$s") );
  			exit;
***************
*** 158,165 ****
  				wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
  				exit;
  			}
! 			deactivate_plugins($plugin);
! 			update_option('recently_activated', array($plugin => time()) + (array)get_option('recently_activated'));
  			if ( headers_sent() )
  				echo "<meta http-equiv='refresh' content='" . esc_attr( "0;url=plugins.php?deactivate=true&plugin_status=$status&paged=$page&s=$s" ) . "' />";
  			else
--- 155,164 ----
  				wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
  				exit;
  			}
! 
! 			deactivate_plugins( $plugin, false, is_network_admin() );
! 			if ( ! is_network_admin() )
! 				update_option( 'recently_activated', array( $plugin => time() ) + (array) get_option( 'recently_activated' ) );
  			if ( headers_sent() )
  				echo "<meta http-equiv='refresh' content='" . esc_attr( "0;url=plugins.php?deactivate=true&plugin_status=$status&paged=$page&s=$s" ) . "' />";
  			else
***************
*** 185,197 ****
  				exit;
  			}
  
! 			deactivate_plugins($plugins);
  
! 			$deactivated = array();
! 			foreach ( $plugins as $plugin )
! 				$deactivated[ $plugin ] = time();
  
- 			update_option('recently_activated', $deactivated + (array)get_option('recently_activated'));
  			wp_redirect( self_admin_url("plugins.php?deactivate-multi=true&plugin_status=$status&paged=$page&s=$s") );
  			exit;
  			break;
--- 184,198 ----
  				exit;
  			}
  
! 			deactivate_plugins( $plugins, false, is_network_admin() );
  
! 			if ( ! is_network_admin() ) {
! 				$deactivated = array();
! 				foreach ( $plugins as $plugin )
! 					$deactivated[ $plugin ] = time();
! 				update_option( 'recently_activated', $deactivated + (array) get_option( 'recently_activated' ) );
! 			}
  
  			wp_redirect( self_admin_url("plugins.php?deactivate-multi=true&plugin_status=$status&paged=$page&s=$s") );
  			exit;
  			break;
***************
*** 316,322 ****
  			exit;
  			break;
  		case 'clear-recent-list':
! 			update_option('recently_activated', array());
  			break;
  	}
  }
--- 317,324 ----
  			exit;
  			break;
  		case 'clear-recent-list':
! 			if ( ! is_network_admin() )
! 				update_option( 'recently_activated', array() );
  			break;
  	}
  }
***************
*** 365,371 ****
  	if ( isset( $_GET['main'] ) )
  		$errmsg = __( 'You cannot delete a plugin while it is active on the main site.' );
  	elseif ( isset($_GET['charsout']) )
! 		$errmsg = sprintf(__('The plugin generated %d characters of <strong>unexpected output</strong> during activation.  If you notice &#8220;headers already sent&#8221; messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.'), $_GET['charsout']);
  	else
  		$errmsg = __('Plugin could not be activated because it triggered a <strong>fatal error</strong>.');
  	?>
--- 367,373 ----
  	if ( isset( $_GET['main'] ) )
  		$errmsg = __( 'You cannot delete a plugin while it is active on the main site.' );
  	elseif ( isset($_GET['charsout']) )
! 		$errmsg = sprintf(__('The plugin generated %d characters of <strong>unexpected output</strong> during activation. If you notice &#8220;headers already sent&#8221; messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.'), $_GET['charsout']);
  	else
  		$errmsg = __('Plugin could not be activated because it triggered a <strong>fatal error</strong>.');
  	?>
***************
*** 402,408 ****
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title );
  if ( ( ! is_multisite() || is_network_admin() ) && current_user_can('install_plugins') ) { ?>
! <a href="<?php echo self_admin_url( 'plugin-install.php' ); ?>" class="add-new-h2"><?php echo esc_html_x('Add New', 'plugin'); ?></a>
  <?php }
  if ( $s )
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', esc_html( $s ) ); ?>
--- 404,410 ----
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title );
  if ( ( ! is_multisite() || is_network_admin() ) && current_user_can('install_plugins') ) { ?>
!  <a href="<?php echo self_admin_url( 'plugin-install.php' ); ?>" class="add-new-h2"><?php echo esc_html_x('Add New', 'plugin'); ?></a>
  <?php }
  if ( $s )
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', esc_html( $s ) ); ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/post-new.php ./wordpress-3.4/wp-admin/post-new.php
*** ./wordpress-3.3.2/wp-admin/post-new.php	2011-11-23 14:45:23.000000000 -0600
--- ./wordpress-3.4/wp-admin/post-new.php	2012-04-12 13:49:48.000000000 -0500
***************
*** 39,44 ****
--- 39,48 ----
  if ( ! current_user_can( $post_type_object->cap->edit_posts ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
+ // Schedule auto-draft cleanup
+ if ( ! wp_next_scheduled( 'wp_scheduled_auto_draft_delete' ) )
+ 	wp_schedule_event( time(), 'daily', 'wp_scheduled_auto_draft_delete' );
+ 
  wp_enqueue_script('autosave');
  
  // Show post form.
***************
*** 46,49 ****
  $post_ID = $post->ID;
  include('edit-form-advanced.php');
  include('./admin-footer.php');
- ?>
--- 50,52 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/post.php ./wordpress-3.4/wp-admin/post.php
*** ./wordpress-3.3.2/wp-admin/post.php	2011-11-14 10:59:45.000000000 -0600
--- ./wordpress-3.4/wp-admin/post.php	2012-04-27 14:32:32.000000000 -0500
***************
*** 134,148 ****
  	if ( empty($post->ID) )
  		wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?') );
  
  	if ( !current_user_can($post_type_object->cap->edit_post, $post_id) )
  		wp_die( __('You are not allowed to edit this item.') );
  
  	if ( 'trash' == $post->post_status )
  		wp_die( __('You can&#8217;t edit this item because it is in the Trash. Please restore it and try again.') );
  
- 	if ( null == $post_type_object )
- 		wp_die( __('Unknown post type.') );
- 
  	$post_type = $post->post_type;
  	if ( 'post' == $post_type ) {
  		$parent_file = "edit.php";
--- 134,148 ----
  	if ( empty($post->ID) )
  		wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?') );
  
+ 	if ( null == $post_type_object )
+ 		wp_die( __('Unknown post type.') );
+ 
  	if ( !current_user_can($post_type_object->cap->edit_post, $post_id) )
  		wp_die( __('You are not allowed to edit this item.') );
  
  	if ( 'trash' == $post->post_status )
  		wp_die( __('You can&#8217;t edit this item because it is in the Trash. Please restore it and try again.') );
  
  	$post_type = $post->post_type;
  	if ( 'post' == $post_type ) {
  		$parent_file = "edit.php";
***************
*** 262,265 ****
  	break;
  } // end switch
  include('./admin-footer.php');
- ?>
--- 262,264 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/press-this.php ./wordpress-3.4/wp-admin/press-this.php
*** ./wordpress-3.3.2/wp-admin/press-this.php	2012-04-19 16:58:20.000000000 -0500
--- ./wordpress-3.4/wp-admin/press-this.php	2012-06-11 15:34:42.000000000 -0500
***************
*** 304,310 ****
  //<![CDATA[
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
  var userSettings = {'url':'<?php echo SITECOOKIEPATH; ?>','uid':'<?php if ( ! isset($current_user) ) $current_user = wp_get_current_user(); echo $current_user->ID; ?>','time':'<?php echo time() ?>'};
! var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>', pagenow = 'press-this', isRtl = <?php echo (int) is_rtl(); ?>;
  var photostorage = false;
  //]]>
  </script>
--- 304,310 ----
  //<![CDATA[
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
  var userSettings = {'url':'<?php echo SITECOOKIEPATH; ?>','uid':'<?php if ( ! isset($current_user) ) $current_user = wp_get_current_user(); echo $current_user->ID; ?>','time':'<?php echo time() ?>'};
! var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>', pagenow = 'press-this', isRtl = <?php echo (int) is_rtl(); ?>;
  var photostorage = false;
  //]]>
  </script>
***************
*** 314,333 ****
  	do_action('admin_print_scripts');
  	do_action('admin_head');
  ?>
- 	<style type="text/css">
- 	#message {
- 		margin: 10px 0;
- 	}
- 	#title,
- 	.press-this #wphead {
- 		margin-left: 0;
- 		margin-right: 0;
- 	}
- 	.rtl.press-this #header-logo,
- 	.rtl.press-this #wphead h1 {
- 		float: right;
- 	}
- 	</style>
  	<script type="text/javascript">
  	var wpActiveEditor = 'content';
  
--- 314,319 ----
***************
*** 365,376 ****
  					<?php
  					$content = '';
  					if ( preg_match("/youtube\.com\/watch/i", $url) ) {
! 						list($domain, $video_id) = split("v=", $url);
  						$video_id = esc_attr($video_id);
  						$content = '<object width="425" height="350"><param name="movie" value="http://www.youtube.com/v/' . $video_id . '"></param><param name="wmode" value="transparent"></param><embed src="http://www.youtube.com/v/' . $video_id . '" type="application/x-shockwave-flash" wmode="transparent" width="425" height="350"></embed></object>';
  
  					} elseif ( preg_match("/vimeo\.com\/[0-9]+/i", $url) ) {
! 						list($domain, $video_id) = split(".com/", $url);
  						$video_id = esc_attr($video_id);
  						$content = '<object width="400" height="225"><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://www.vimeo.com/moogaloop.swf?clip_id=' . $video_id . '&amp;server=www.vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1" />	<embed src="http://www.vimeo.com/moogaloop.swf?clip_id=' . $video_id . '&amp;server=www.vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="400" height="225"></embed></object>';
  
--- 351,362 ----
  					<?php
  					$content = '';
  					if ( preg_match("/youtube\.com\/watch/i", $url) ) {
! 						list($domain, $video_id) = explode("v=", $url);
  						$video_id = esc_attr($video_id);
  						$content = '<object width="425" height="350"><param name="movie" value="http://www.youtube.com/v/' . $video_id . '"></param><param name="wmode" value="transparent"></param><embed src="http://www.youtube.com/v/' . $video_id . '" type="application/x-shockwave-flash" wmode="transparent" width="425" height="350"></embed></object>';
  
  					} elseif ( preg_match("/vimeo\.com\/[0-9]+/i", $url) ) {
! 						list($domain, $video_id) = explode(".com/", $url);
  						$video_id = esc_attr($video_id);
  						$content = '<object width="400" height="225"><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://www.vimeo.com/moogaloop.swf?clip_id=' . $video_id . '&amp;server=www.vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1" />	<embed src="http://www.vimeo.com/moogaloop.swf?clip_id=' . $video_id . '&amp;server=www.vimeo.com&amp;show_title=1&amp;show_byline=1&amp;show_portrait=0&amp;color=&amp;fullscreen=1" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="400" height="225"></embed></object>';
  
***************
*** 437,443 ****
  			show('video');
  		<?php } elseif ( preg_match("/vimeo\.com\/[0-9]+/i", $url) ) { ?>
  			show('video');
! 		<?php  } elseif ( preg_match("/flickr\.com/i", $url) ) { ?>
  			show('photo');
  		<?php } ?>
  		jQuery('#title').unbind();
--- 423,429 ----
  			show('video');
  		<?php } elseif ( preg_match("/vimeo\.com\/[0-9]+/i", $url) ) { ?>
  			show('video');
! 		<?php } elseif ( preg_match("/flickr\.com/i", $url) ) { ?>
  			show('photo');
  		<?php } ?>
  		jQuery('#title').unbind();
***************
*** 449,455 ****
  	});
  </script>
  </head>
! <body class="press-this wp-admin<?php if ( is_rtl() ) echo ' rtl'; ?>">
  <form action="press-this.php?action=post" method="post">
  <div id="poststuff" class="metabox-holder">
  	<div id="side-sortables" class="press-this-sidebar">
--- 435,445 ----
  	});
  </script>
  </head>
! <?php
! $admin_body_class = ( is_rtl() ) ? 'rtl' : '';
! $admin_body_class .= ' locale-' . sanitize_html_class( strtolower( str_replace( '_', '-', get_locale() ) ) );
! ?>
! <body class="press-this wp-admin <?php echo $admin_body_class; ?>">
  <form action="press-this.php?action=post" method="post">
  <div id="poststuff" class="metabox-holder">
  	<div id="side-sortables" class="press-this-sidebar">
***************
*** 538,544 ****
  									<?php echo $tax->labels->parent_item_colon; ?>
  								</label>
  								<?php wp_dropdown_categories( array( 'taxonomy' => 'category', 'hide_empty' => 0, 'name' => 'newcategory_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => '&mdash; ' . $tax->labels->parent_item . ' &mdash;', 'tab_index' => 3 ) ); ?>
! 								<input type="button" id="category-add-submit" class="add:categorychecklist:category-add button category-add-sumbit" value="<?php echo esc_attr( $tax->labels->add_new_item ); ?>" tabindex="3" />
  								<?php wp_nonce_field( 'add-category', '_ajax_nonce-add-category', false ); ?>
  								<span id="category-ajax-response"></span>
  							</p>
--- 528,534 ----
  									<?php echo $tax->labels->parent_item_colon; ?>
  								</label>
  								<?php wp_dropdown_categories( array( 'taxonomy' => 'category', 'hide_empty' => 0, 'name' => 'newcategory_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => '&mdash; ' . $tax->labels->parent_item . ' &mdash;', 'tab_index' => 3 ) ); ?>
! 								<input type="button" id="category-add-submit" class="add:categorychecklist:category-add button category-add-submit" value="<?php echo esc_attr( $tax->labels->add_new_item ); ?>" tabindex="3" />
  								<?php wp_nonce_field( 'add-category', '_ajax_nonce-add-category', false ); ?>
  								<span id="category-ajax-response"></span>
  							</p>
***************
*** 610,616 ****
  
  		$content = '';
  		if ( $selection )
! 			$content .=  $selection;
  
  		if ( $url ) {
  			$content .= '<p>';
--- 600,606 ----
  
  		$content = '';
  		if ( $selection )
! 			$content .= $selection;
  
  		if ( $url ) {
  			$content .= '<p>';
